package com.docus.server.archive.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data

public class AfCollectTask implements Serializable {


    @ApiModelProperty(value = "id 雪花算法")
    private Long id;


    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "af_archive_detail表id")
    private Long afArchiveDetailId;

    @ApiModelProperty(value = "来源 1护理文书，2 （HIS）电子病历，3 Pacs检查，4心电系统，5手麻系统，6 Lis检验，7临床首页，8长期医嘱， 9临时医嘱，10 省病案统计系统首页，11 扫描首页；")
    private String sysflag;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;


    @ApiModelProperty(value = "任务状态 0：未开始，1:正在采集，2：采集错误，3采集完成")
    private String state;


    @ApiModelProperty(value = "同步时间")
    private Date syncTime;


    @ApiModelProperty(value = "最新重新采集时间")
    private Date recollectTime;

    @ApiModelProperty(value = "最新重新采集人")
    private String recollectName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "presult")
    private String presult;

    @ApiModelProperty(value = "报告唯一单号")
    private String c1;

    @ApiModelProperty(value = "文件名称")
    private String c2;


    @ApiModelProperty(value = "记账号")
    private String c3;


    @ApiModelProperty(value = "c4")
    private String c4;

    @ApiModelProperty(value = "c5")
    private String c5;


    @ApiModelProperty(value = "c6,英德中医院的fileTitle")
    private String c6;


    @ApiModelProperty(value = "c7")
    private String c7;


    @ApiModelProperty(value = "c8")
    private String c8;

    @ApiModelProperty(value = "c9")
    private String c9;


    @ApiModelProperty(value = "c10 用作采集器完成任务时的采集器key")
    private String c10;

    @ApiModelProperty(value = "c9")
    private Date t1;

    @ApiModelProperty(value = "c9")
    private Date t2;

    @ApiModelProperty(value = "任务耗时")
    private Long consumingTime;

    @ApiModelProperty(value = "任务创建时间")
    private Date createTime;
}
