package com.docus.server.archive.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.archive.entity.TBasic;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 患者基础信息表mapper
 *
 * @author wyb
 */
@DS("archive-mysql")
public interface TBasicMapper {

    List<TBasic> getByDisDate(@Param("start") String start,@Param("end")  String end);

    List<TBasic> getByPatientIds(@Param("patientIdList") List<String> patientIdList);
}
