package com.docus.server.synclis.entity;

import lombok.Data;

/**
 * @author YongBin Wen
 * @date 2025/1/16 11:05
 */
@Data
public class LisView {
    /**
     * lis系统患者身份id
     */
    private String patientId;
    /**
     * 检验报告号码
     */
    private String labNum;
    /**
     * 姓名
     */
    private String name;
    /**
     * 病案号
     */
    private String hstNum;
    /**
     * 申请号
     */
    private String reqNum;
    /**
     * 申请时间 ，格式目前发现了两种 yyyy-MM-dd 和 yyyy-MM-dd  HH:mm:ss
     */
    private String reqDate;
    /**
     * 审核时间
     */
    private String auditTime;
    /**
     * 检验名称
     */
    private String checkName;
    /**
     * 患者来源
     */
    private String patSource;
    /**
     * 身份证号码
     */
    private String idCard;

}
